import { PairConfig } from '@dvn/core/models/pair-config';
import { DvnAppViewConfig } from '@dvn/core/models/view-config';
export class AtamaMemberPairDetailViewConfig extends DvnAppViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(AtamaMemberPairDetailViewConfig.prototype), json);
    model.table = PairConfig.decode(model.table);
    return model;
  }
}
